aboutsummaryrefslogtreecommitdiffstats
path: root/kernels/redfin/do.bash
diff options
context:
space:
mode:
authorNathan Chancellor <natechancellor@gmail.com>2020-10-30 14:00:42 -0700
committerNathan Chancellor <natechancellor@gmail.com>2020-10-30 14:00:42 -0700
commitcbf29c6f837f87cdf8fb3c8cea2be569d357d46e (patch)
tree0c9eb6b5554e9900d0f593b53ad0a37d6a168ebe /kernels/redfin/do.bash
parentkernels: add bramble (diff)
downloadandroid-wireguard-module-builder-cbf29c6f837f87cdf8fb3c8cea2be569d357d46e.tar.xz
android-wireguard-module-builder-cbf29c6f837f87cdf8fb3c8cea2be569d357d46e.zip
kernels: add redfinnc/wip/new-pixels
Signed-off-by: Nathan Chancellor <natechancellor@gmail.com>
Diffstat (limited to 'kernels/redfin/do.bash')
-rw-r--r--kernels/redfin/do.bash7
1 files changed, 7 insertions, 0 deletions
diff --git a/kernels/redfin/do.bash b/kernels/redfin/do.bash
new file mode 100644
index 0000000..1e770d0
--- /dev/null
+++ b/kernels/redfin/do.bash
@@ -0,0 +1,7 @@
+#!/bin/bash
+set -ex
+BASE="$(readlink -f "$(dirname "$(readlink -f "$0")")")"
+echo 'EXT_MODULES="${EXT_MODULES} wireguard"' >> private/msm-google/build.config.common
+./build/build.sh
+./prebuilts-master/clang/host/linux-x86/clang-r383902/bin/llvm-strip -strip-debug out/android-msm-pixel-4.19/dist/wireguard.ko
+readlink -f out/android-msm-pixel-4.19/dist/wireguard.ko >&7